Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004027TestLinkReportspublic2010-11-17 18:432011-01-22 15:12
Reporterpablobitton 
Assigned Toasimon 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 (Prague) 
Fixed in Version1.9.1 (bug fixing) 
Summary0004027: Query metrics start date and end date are not working - getting all results
Descriptionusing query metrics, filtering by start and end date is not working
i get all the results

in lib/results/resultsMoreBuilds.php line 142 in new newResults (....)

passing arguments $date_range->end->time and $date_range->start->time with are NULLs

should be using parameters: $gui->startTime and $gui->endTime
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files? file icon 4027.patch-new [^] (726 bytes) 2010-11-29 14:38
? file icon resultsMoreBuilds.php [^] (11,561 bytes) 2010-11-29 15:19

- Relationships
has duplicate 0004116closedfman Query Metrics - Unable to retrieve test cases executed today using start-time and end-time 
child of 0004039closed Availables Fixes for 1.9.0 (Prague) 

-  Notes
(0012634)
fman (administrator)
2010-11-17 20:31

give detailed steps to reproduce
(0012652)
pablobitton (reporter)
2010-11-18 19:02

1. I have a lot of results from different dates (from last year)

2. in Query metrics i give specific range (one day only) (14/11/2010 till 15/11/2010)

3. I get all the results ignoring the date I gave (like from last year)


when trying to investigate, in lib/results/resultsMoreBuilds.php line 142 in new newResults (....)

variables $date_range->end->time and $date_range->start->time were NULL
and not in use

instead earlier you parsed $gui->startTime and $gui->endTime
(0012654)
fman (administrator)
2010-11-18 21:00

Thanks for requested info.
(0012743)
raghurams78 (reporter)
2010-11-29 13:53

This fix is really important for us as we are using it regularly in 1.8 without any issues.
Can I have some workaround or solution to make it work for time being?
(0012744)
pablobitton (reporter)
2010-11-29 14:36
edited on: 2010-11-29 14:40

attached a patch that worked for me
take the new one...

(0012745)
fman (administrator)
2010-11-29 14:42

Thanks for contribution but PLEASE do not attach PATCHES but full FILE.
This is much better for users and developers.
(0012746)
pablobitton (reporter)
2010-11-29 15:20

attached full FILE
(0012749)
fman (administrator)
2010-11-29 19:28

Thankf for help.
(0012760)
raghurams78 (reporter)
2010-11-30 06:56

Hurray!! After applying the patch, issue is resolved. Thanks pablobitton. You really saved my time to fix this issue.
-------------------------------------------------------------------------------
It seems, the latest attacment by you doesn't have the patch you provided in the first attacment.
I have added the patch manually to resultsMoreBuilds.php.
-------------------------------------------------------------------------------
(0012815)
asimon (developer)
2010-12-02 18:05

Fixed - thanks for the help!
(0013407)
fman (administrator)
2011-01-22 15:12

1.9.1. released

- Issue History
Date Modified Username Field Change
2010-11-17 18:43 pablobitton New Issue
2010-11-17 20:31 fman Note Added: 0012634
2010-11-18 19:02 pablobitton Note Added: 0012652
2010-11-18 21:00 fman Note Added: 0012654
2010-11-29 13:53 raghurams78 Note Added: 0012743
2010-11-29 14:36 pablobitton File Added: 4027.patch
2010-11-29 14:36 pablobitton Note Added: 0012744
2010-11-29 14:38 pablobitton File Added: 4027.patch-new
2010-11-29 14:40 pablobitton Note Edited: 0012744 View Revisions
2010-11-29 14:42 fman Note Added: 0012745
2010-11-29 14:42 fman File Deleted: 4027.patch
2010-11-29 15:19 pablobitton File Added: resultsMoreBuilds.php
2010-11-29 15:20 pablobitton Note Added: 0012746
2010-11-29 19:28 fman Note Added: 0012749
2010-11-30 06:56 raghurams78 Note Added: 0012760
2010-12-02 18:05 asimon Note Added: 0012815
2010-12-02 18:05 asimon Status new => resolved
2010-12-02 18:05 asimon Fixed in Version => 1.9.1 (bug fixing)
2010-12-02 18:05 asimon Resolution open => fixed
2010-12-02 18:05 asimon Assigned To => asimon
2010-12-02 18:29 fman Relationship added child of 0004039
2010-12-26 19:02 fman Relationship added has duplicate 0004116
2011-01-22 15:12 fman Note Added: 0013407
2011-01-22 15:12 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker